=== debian/changelog ===
greenbone-security-assistant (7.0.2+dfsg.1-3) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Update team maintainer address to Debian Security Tools

  [ Helmut Grohne ]
  * Drop unused Build-Depends: flawfinder, splint (Closes: #893915)

  [ SZ Lin (林上智) ]
  * d/control: Bump standards version to 4.1.3
  * d/control: Bump version of "debhelper" to 11
  * d/control: Remove Build-Depends: dh-systemd
  * d/compat: Bump compat version to 11
  * d/watch: Replace insecure URI to secure URI
  * d/copyright: Replace insecure URI to secure URI
  * d/rules: Rely on dh_installsystemd

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 04 Apr 2018 22:20:17 +0800
