## greenbone-security-assistant 7.0.3+dfsg.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 if (POLICY CMP0005)
   cmake_policy (SET CMP0005 OLD)
 endif (POLICY CMP0005)
+SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 # Needed for 'pkg_check_modules' function
 include (FindPkgConfig)
@@ -49,6 +50,8 @@
 endif (NOT SERVE_STATIC_ASSETS EQUAL 0)
 
 ## Check existence required tools
+
+SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
 set (MANDATORY_TOOL_MISSING FALSE)
 
@@ -110,27 +113,16 @@
   LIBOPENVAS_OMP_FOUND OR NOT LIBOPENVAS_BASE_FOUND OR NOT LIBOPENVAS_MISC_FOUND
   OR NOT LIBXSLT_FOUND OR NOT GNUTLS_FOUND OR NOT LIBGCRYPT)
 
-## Retrieve svn revision (at configure time)
-#  Not using Subversion_WC_INFO, as it would have to connect to the repo
-find_program (SVN_EXECUTABLE svn DOC "subversion command line client")
-
-macro (Subversion_GET_REVISION dir variable)
-  execute_process (COMMAND ${SVN_EXECUTABLE} info ${CMAKE_SOURCE_DIR}/${dir}
-    OUTPUT_VARIABLE ${variable}
-    OUTPUT_STRIP_TRAILING_WHITESPACE)
-  string (REGEX REPLACE "^(.*\n)?Revision: ([^\n]+).*"
-    "\\2" ${variable} "${${variable}}")
-endmacro (Subversion_GET_REVISION)
+## Retrieve git revision (at configure time)
+include (GetGit)
 
 if (NOT CMAKE_BUILD_TYPE MATCHES "Release")
-  if (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
-    if (SVN_EXECUTABLE)
-      Subversion_GET_REVISION(. ProjectRevision)
-      set (SVN_REVISION "~svn${ProjectRevision}")
-    else (SVN_EXECUTABLE)
-      set (SVN_REVISION "~svn")
-    endif (SVN_EXECUTABLE)
-  endif (EXISTS "${CMAKE_SOURCE_DIR}/.svn/" OR EXISTS "${CMAKE_SOURCE_DIR}/../.svn/")
+  if (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
+    if (GIT_EXECUTABLE)
+      Git_GET_REVISION(. ProjectRevision)
+      set (GIT_REVISION "~git-${ProjectRevision}")
+    endif (GIT_EXECUTABLE)
+  endif (EXISTS "${CMAKE_SOURCE_DIR}/.git/")
 endif (NOT CMAKE_BUILD_TYPE MATCHES "Release")
 
 ## Project version
@@ -138,15 +130,17 @@
 # we require CMake >= 3.0
 set (PROJECT_VERSION_MAJOR 7)
 set (PROJECT_VERSION_MINOR 0)
-set (PROJECT_VERSION_PATCH 2)
+set (PROJECT_VERSION_PATCH 3)
 
 # Set beta version if this is a beta release series,
 # unset if this is a stable release series.
 #set (PROJECT_BETA_RELEASE 1)
 
-if (SVN_REVISION)
-  set (PROJECT_VERSION_SVN "${SVN_REVISION}")
-endif (SVN_REVISION)
+if (GIT_REVISION)
+  set (PROJECT_VERSION_GIT "${GIT_REVISION}")
+else (GIT_REVISION)
+  set (PROJECT_VERSION_GIT "~git")
+endif (GIT_REVISION)
 
 # If PROJECT_BETA_RELEASE is set, the version string will be set to:
 #   "major.minor+beta${PROJECT_BETA_RELEASE}"
@@ -174,14 +168,14 @@
 set (CPACK_SYSTEM_NAME "")
 set (CPACK_TOPLEVEL_TAG "")
 
-set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_SVN}")
+set (CPACK_PACKAGE_VERSION "${PROJECT_VERSION_STRING}${PROJECT_VERSION_GIT}")
 
 set (CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
 set (CPACK_PACKAGE_VENDOR "The OpenVAS Project")
 set (CPACK_SOURCE_IGNORE_FILES
 "${CMAKE_BINARY_DIR}"
-"/.svn/"
+"/.git/"
 "swp$"
 )
 
@@ -279,6 +273,7 @@
                src/html/classic/omp.xsl
                src/html/classic/omp-doc.xsl
                src/html/classic/rnc.xsl
+               src/html/classic/robots.txt
                src/html/classic/os.xml
                src/html/classic/wizard.xsl
          DESTINATION ${GSA_DATA_DIR}/classic)
@@ -312,3 +307,11 @@
                src/html/classic/js/lib/d3.layout.cloud.js
                src/html/classic/js/lib/moment.js
                src/html/classic/js/lib/moment-timezone-with-data.js
+               src/html/classic/js/gsa_bar_chart.js
+               src/html/classic/js/gsa_bubble_chart.js
+               src/html/classic/js/gsa_chart_helpers.js
+               src/html/classic/js/gsa_graphics_base.js
+               src/html/classic/js/gsa_cloud_chart.js
+               src/html/classic/js/gsa_dashboard.js
+               src/html/classic/js/gsa_donut_chart.js
+               src/html/classic/js/gsa_gantt_chart.js
