=== debian/changelog ===
greenbone-security-assistant (7.0.3+dfsg.1-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * Remove texlive-latex-extra as depends
  * Upstream repo moved to github
  * New upstream version 7.0.3+dfsg.1
  * Update debian/copyright

  [ Raphaël Hertzog ]
  * Bump Standards-Version to 4.1.5.
  * Fix syntax error in copyright file.
  * Add lintian overrides for javascript files wrongly-classified
    as not having sources.

 -- Sophie Brun <sophie@freexian.com>  Mon, 09 Jul 2018 11:53:41 +0200
