=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                xsltproc,
                xmltoman,
                libxml2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: http://www.openvas.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/greenbone-security-assistant
@@ -23,7 +23,7 @@
 Section: net
 Architecture: all
 Recommends: greenbone-security-assistant
-Depends: ${misc:Depends}, texlive-latex-extra
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: architecture independent files for greenbone-security-assistant
  The Greenbone Security Assistant is a web application that
